Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "99ca7012-6511-4bee-a9dc-b3e4322c2a31",
"purchase_order_id": "1ed829d6-ea78-4285-9b76-e3d496870aac",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "c8b56bb9-5199-41c6-b9f2-af7e076eb8e9",
"id2": 2,
"jobs_id": "365e4afc-7f81-47e7-aea5-dfb4ce5f6cc6",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "b1fe133c-0417-4e51-abf0-8e0c0a5c4927",
"supplier_company_code": "sample string 6",
"user_id": "354df45b-1574-4376-8a07-70fb8dad4715",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-18T19:35:49.5151273+00:00",
"date_update": "2026-11-18T19:35:49.5151273+00:00",
"date_delivery": "2026-11-18T19:35:49.5151273+00:00",
"confirmed_date_delivery": "2026-11-18T19:35:49.5151273+00:00",
"delivery_db_address_id": "e35c2626-e757-4682-8597-af949f13a326",
"approved_by_user_id": "41d250f0-3e7f-41ec-8f94-fb7ce38ee7eb",
"approved_by_user_code": "sample string 18",
"technical_user_id": "486d65dd-7d1a-4694-8dba-78c739e95e66",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "e954ee33-360a-4a28-afa0-52ca13ac4dd6",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "11af4fe5-482e-47e1-8a39-5ba32ff67bfc",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-18T19:35:49.5151273+00:00"
},
"article_id": "9119bc89-6652-4c0d-bc4a-858a9e146de2",
"article_code": "sample string 5",
"article": {
"id": "aec30e15-5c64-4bb5-9581-2627a877d9af",
"article_category_id": "0be938b7-e14b-4d52-94e3-31d255602b4a",
"article_category": {
"id": "48326bcc-9af2-4855-90e0-b9d0451fcb78",
"parent_id": "d212f20d-844c-4206-b603-e9230b377863",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-18T19:35:49.5151273+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "bf980b08-68c1-4caf-a44f-34d70ce746e4",
"article_group_1_code": "sample string 5",
"article_group_2_id": "d4a1e90d-8b68-403a-bd7a-85607d71b25c",
"article_group_2_code": "sample string 7",
"article_group_3_id": "b5f645ad-51ca-4b11-83c4-29e289470c47",
"article_group_3_code": "sample string 9",
"article_group_4_id": "3abf94bf-288c-4741-b6d6-d6b4ea00aa03",
"article_group_4_code": "sample string 11",
"article_group_5_id": "7a551291-4155-40ee-99b8-9c0bfc66dbf4",
"article_group_5_code": "sample string 13",
"article_group_6_id": "a00b260c-8a13-4a15-93bc-f5d931e4c235",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-18T19:35:49.5151273+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-18T19:35:49.5151273+00:00",
"date_update": "2026-11-18T19:35:49.5151273+00:00",
"modified_dateutc": "2026-11-18T19:35:49.5151273+00:00",
"article_color_id": "d9ca921f-3c57-4bc6-b286-194e4307b934",
"article_color_code": "sample string 38",
"article_color": {
"id": "c3895a78-9c23-49e6-af01-942b4d11929f",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-18T19:35:49.5151273+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "8867df43-fa8c-4c96-9f69-bdfd5f38d772",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "caebfc74-1cb4-4c6e-bc55-1e597f1b5d19",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-18T19:35:49.5283585+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.